View Issue Details

IDProjectCategoryView StatusLast Update
0002405SOGoOpenChange backendpublic2013-09-20 09:13
Reporteronofabio Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002405: Samba4 PANIC error
Description

My enviroment is

  • a samba4+openchange server
  • a microsoft windows 2008 server
    This 2 server is joined as DC.

When using outlook, I can't use calendar application.

Outlook profile creation work correctly and I can login.
I can use addressbook.

But when I click on Calendar Button samba crash and outlook disconnect form exchange.

Seems that this problem does not exist in a self join enviroment (only samba4 server).

This is error on samba log:

[2013/09/05 14:47:50, 0] mapiproxy/servers/default/nspi/dcesrv_exchange_nsp.c:1278(dcesrv_exchange_nsp_dispatch)
dcesrv_exchange_nsp_dispatch
[2013/09/05 14:47:50, 0] mapiproxy/servers/default/nspi/dcesrv_exchange_nsp.c:1278(dcesrv_exchange_nsp_dispatch)
dcesrv_exchange_nsp_dispatch
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 87 00 00 00 C4 59 01 57 C8 CE 47 41 99 12 B9 22 .....Y.W ..GA..."
[0010] 61 90 34 3E 01 00 00 00 00 00 00 00 02 50 00 00 a.4>.... .....P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 02 50 00 00 .P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 87 00 00 00 C4 59 01 57 C8 CE 47 41 99 12 B9 22 .....Y.W ..GA..."
[0010] 61 90 34 3E 01 00 00 00 00 00 00 00 03 50 00 00 a.4>.... .....P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 03 50 00 00 .P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 87 00 00 00 C4 59 01 57 C8 CE 47 41 99 12 B9 22 .....Y.W ..GA..."
[0010] 61 90 34 3E 01 00 00 00 00 00 00 00 04 50 00 00 a.4>.... .....P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 04 50 00 00 .P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 87 00 00 00 C4 59 01 57 C8 CE 47 41 99 12 B9 22 .....Y.W ..GA..."
[0010] 61 90 34 3E 01 00 00 00 00 00 00 00 05 50 00 00 a.4>.... .....P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 05 50 00 00 .P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 87 00 00 00 C4 59 01 57 C8 CE 47 41 99 12 B9 22 .....Y.W ..GA..."
[0010] 61 90 34 3E 01 00 00 00 00 00 00 00 01 50 00 00 a.4>.... .....P..
[2013/09/05 14:47:50, 0] ../lib/util/util.c:457(dump_data)
[0000] 01 50 00 00 .P..
[2013/09/05 14:47:50, 0] mapiproxy/servers/default/nspi/dcesrv_exchange_nsp.c:1278(dcesrv_exchange_nsp_dispatch)
dcesrv_exchange_nsp_dispatch
[2013/09/05 14:47:50, 0] ../lib/util/fault.c:72(fault_report)

[2013/09/05 14:47:50, 0] ../lib/util/fault.c:73(fault_report)
INTERNAL ERROR: Signal 11 in pid 2207 (4.0.1)
Please read the Trouble-Shooting section of the Samba HOWTO
[2013/09/05 14:47:50, 0] ../lib/util/fault.c:75(fault_report)

[2013/09/05 14:47:50, 0] ../lib/util/fault.c:144(smb_panic_default)
PANIC: internal error

TagsNo tags attached.

Activities

onofabio

onofabio

2013-09-05 11:00

reporter   ~0005939

Last edited: 2013-09-05 11:02

I think that this issue duplicate issue 0002396,
except for join enviroment.

ludovic

ludovic

2013-09-05 11:05

administrator   ~0005941

You need to provide a relevant stack trace: http://www.sogo.nu/english/nc/support/faq/article/how-do-i-debug-sogo.html [^]

2013-09-05 11:35

 

log.samba.gz (54,020 bytes)
onofabio

onofabio

2013-09-05 11:36

reporter   ~0005942

Stack trace uploaded...

ludovic

ludovic

2013-09-06 13:40

administrator   ~0005943

That's not a stack trace. Reread what I said.

2013-09-09 11:10

 

log-short-2.samba.gz (3,392 bytes)
wodny

wodny

2013-09-09 11:11

reporter   ~0005959

I've got a similar problem. I've just uploaded a log file with the stacktrace included. BT created using the /usr/local/bin/gdb_backtrace method from the mentioned URL.

wodny

wodny

2013-09-10 05:49

reporter   ~0005960

I've seen the milestone being set. I would like to mention this bug is quite annoying - I have to restart Samba for Outlook to reconnect.

ludovic

ludovic

2013-09-10 08:42

administrator   ~0005961

How did you join your Samba4 server to your AD domain?

wodny

wodny

2013-09-10 08:43

reporter   ~0005962

This is the virtual machine from the site (2.0.6a).

ludovic

ludovic

2013-09-10 08:44

administrator   ~0005963

My question was for onofabio.

onofabio

onofabio

2013-09-11 03:35

reporter   ~0005970

My join steps:

  • set AD domain as default_realm in krb5.conf
  • call samba-tool domain join command
  • set samba4 server as schema master
  • call openchange provision
onofabio

onofabio

2013-09-11 03:39

reporter   ~0005971

Versions:
Ubuntu 12.04 with samba4+Sogo 2.0.7
Windows server 2008 r2 (ADS)

ludovic

ludovic

2013-09-13 10:25

administrator   ~0005997

This change is caussing the issue: http://sogo.nu/bugs/view.php?id=2285

But this change is most likely correct, and exposes an other issue that we're investigating.

onofabio

onofabio

2013-09-13 12:01

reporter   ~0005999

waiting news....

ludovic

ludovic

2013-09-13 13:11

administrator   ~0006000

Well, do that. We're working on it - it's not by adding comments like that which divert our attention to actual bugsfixing that it'll help.

onofabio

onofabio

2013-09-16 03:25

reporter   ~0006003

It was not my intention!
Tell me if I can help you.

ludovic

ludovic

2013-09-18 14:05

administrator   ~0006022

This should fix it:

https://github.com/inverse-inc/sogo/commit/7ddc1b9e2d2696e80a3d9e81e96dc5a0ff81b738

It'll be part of upcoming nightly builds.

ludovic

ludovic

2013-09-18 19:47

administrator   ~0006023

If you try the upcoming nightly builds, don't forget to flush everything related to openchange and the socfs* tables. Use our cleanup script.

ludovic

ludovic

2013-09-20 09:13

administrator   ~0006026

Re-open if necessary.

Issue History

Date Modified Username Field Change
2013-09-05 10:58 onofabio New Issue
2013-09-05 11:00 onofabio Note Added: 0005939
2013-09-05 11:02 onofabio Note Edited: 0005939
2013-09-05 11:05 ludovic Note Added: 0005941
2013-09-05 11:35 onofabio File Added: log.samba.gz
2013-09-05 11:36 onofabio Note Added: 0005942
2013-09-06 13:40 ludovic Note Added: 0005943
2013-09-09 11:10 wodny File Added: log-short-2.samba.gz
2013-09-09 11:11 wodny Note Added: 0005959
2013-09-09 11:16 ludovic Target Version => 2.1.0
2013-09-10 05:49 wodny Note Added: 0005960
2013-09-10 08:42 ludovic Note Added: 0005961
2013-09-10 08:43 wodny Note Added: 0005962
2013-09-10 08:44 ludovic Note Added: 0005963
2013-09-11 03:35 onofabio Note Added: 0005970
2013-09-11 03:39 onofabio Note Added: 0005971
2013-09-13 10:25 ludovic Note Added: 0005997
2013-09-13 12:01 onofabio Note Added: 0005999
2013-09-13 13:11 ludovic Note Added: 0006000
2013-09-16 03:25 onofabio Note Added: 0006003
2013-09-18 14:05 ludovic Note Added: 0006022
2013-09-18 19:47 ludovic Note Added: 0006023
2013-09-20 09:13 ludovic Note Added: 0006026
2013-09-20 09:13 ludovic Status new => closed
2013-09-20 09:13 ludovic Resolution open => fixed
2013-09-20 09:13 ludovic Fixed in Version => 2.1.0